﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Printing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PDFPrintTest
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			var rnd = new Random();

			for (int i = 0; i < 20; i++)
			{
				ultraDataSource1.Rows.Add(new object[] { rnd.Next(500), rnd.Next(500), rnd.Next(500), rnd.Next(500) });
			}

			var printers = PrinterSettings.InstalledPrinters;

			foreach (var printer in printers)
			{
				comboBox1.Items.Add(printer);
			}
		}

		private void btnPrint_Click(object sender, EventArgs e)
		{
			ultraGridPrintDocument1.PrinterSettings.PrinterName = comboBox1.SelectedItem.ToString();
			ultraPrintPreviewDialog1.ShowDialog(this);
		}
	}
}
